
function applicaContenuto( jsonText, theElement ) {
	
	var contenitore = JSON.parse(jsonText);

	var theHTML = 
		'<div>' +
			'<span style="font-weight: bolder;">Matricola: </span>'+contenitore.matricola+'<br/>' +
			'<span style="font-weight: bolder;">Nome e cognome: </span>'+contenitore.nome+' '+contenitore.cognome+'<br/>' +
			'<span style="font-weight: bolder;">Esami nel piano di studi:</span><br/>' +
			'<ul>';
	
	for ( var i = 0 ; i < contenitore.esami.length ; i++ ) {
		theHTML += '<li>'+contenitore.esami[i]+'</li>';
	}

	theHTML += "</ul></div>";
	theElement.innerHTML = theHTML;
}

/*
 * Funzione di callback
 */
function callback( theXhr, theElement ) {

	// designiamo la formattazione della zona dell'output
	theElement.class = "content";
	
	// verifica dello stato
	if ( theXhr.readyState === 2 ) {
	    	theElement.innerHTML = "Richiesta inviata...";
	}// if 2
	else if ( theXhr.readyState === 3 ) {
    		theElement.innerHTML = "Ricezione della risposta...";
	}// if 3
	else if ( theXhr.readyState === 4 ) {

		// verifica della risposta da parte del server
	        if ( theXhr.status === 200 ) {

	        	applicaContenuto(theXhr.responseText, theElement);

	        }// if 200

	        else {
	        	// errore di caricamento
	        	theElement.innerHTML = "Impossibile effettuare l'operazione richiesta.<br />";
	        	theElement.innerHTML += "Errore riscontrato: " + theXhr.statusText;
	        }// else (if ! 200)

	}// if 4

} // callback();




/*
 * Imposta il contenuto xml disponibile presso theUri
 * all'interno dell'elemento theHolder del DOM
 * Usa tecniche AJAX attrverso la XmlHttpRequest fornita in theXhr
 */
function caricaContenutoAJAX(theUri, theElement, theXhr) {
    
	// impostazione controllo e stato della richiesta
	theXhr.onreadystatechange = function() { callback(theXhr, theElement); };

	// impostazione richiesta asincrona in POST!!
	// del file specificato
	try {
		theXhr.open("get", theUri, true);
	}
	catch(e) {
		// Exceptions are raised when trying to access cross-domain URIs 
		alert(e);
	}

	// rimozione dell'header "connection" come "keep alive"
	theXhr.setRequestHeader("connection", "close");

	// invio richiesta
	theXhr.send(null);
	
} // caricaContenutoAJAX()



/*
 * Imposta il contenuto disponibile presso theUri
 * come src di un iframe all'interno dell'elemento theHolder del DOM
 * Non usa AJAX; per browser legacy
 */
function caricaContenutoIframe(theUri,theHolder) {
	// qui faccio scaricare al browser direttamente il contenuto del feed come src dell'iframe.
	theHolder.innerHTML = '<iframe src="' + theUri + '" width="50%" height="50px">Il tuo browser non supporta gli iframe</iframe>';
	// non riesco tuttavia a intervenire per parsarlo! è il browser che renderizza l'src dell'iframe!
}// caricaContenutoIframe()



/*
 * Scarica un contenuto xml dall'uri fornito
 * e lo aggiunge al contenuto dell'elemento e del dom
 * Gestisce sia AJAX che il mancato supporto ad AJAX 
 */
function caricaContenuto(uri,e) {

	// variabili di funzione
	var
		// assegnazione oggetto XMLHttpRequest
		xhr = myGetXmlHttpRequest();

	if ( xhr ) 
		caricaContenutoAJAX(uri,e,xhr); 
	else 
		caricaContenutoIframe(uri,e); 

}// caricaContenuto()




function carica( matricola, action ) {
	var uri = action+"?matricola="+matricola;
	var target = myGetElementById("result");
	caricaContenuto(uri,target);
}